#!/usr/bin/env ruby
require("gsl")

n = 10
mu = 3.0
GSL::Rng.env_setup()

T = GSL::Rng::DEFAULT
r = GSL::Rng.new(T)
r.set_seed(123)

for i in 0...n do
  k = r.poisson(mu)
  printf(" %u", k)
end

printf ("\n");

p GSL::Cdf::gaussian_P(1)
